Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Opera is not detecting the PPAPI Flash Plugin.

  • I have that problem since Opera devs implemented support to ppapi. I use what l33t4opera said.

  • How do I exactly add those command lines, to which file? I'm quite newbie... XD

    That way

  • @christoph142, Thanks a lot, it worked. Opera is now detecting the PPAPI Flash.

    I think the issue is with the 32-bit versions of Windows, it should be (at least) a known issue, if so.

  • Even with the latest stable version (25) Opera doesn't find automatically the PPAPI flash player in Windows 8.1 32 bit.

    I must use the workaround indicated by l33t4opera

  • Is the path to the pepper flash dll in "HKEY_LOCAL_MACHINE\SOFTWARE\Macromedia\FlashPlayerPepper" in the registry correct?

  • Is there anyway to make Opera find the Pepper Flash besides the workaround?

  • Is the path to the pepper flash dll in "HKEYLOCALMACHINE\SOFTWARE\Macromedia\FlashPlayerPepper" in the registry correct?

    Yes

  • I reinstalled Pepper Flash and did not change anything Opera does not detect Pepper.

  • Opera is now detecting the Pepper Flash without the command lines (Opera Stable 26.0.1656.24).

  • Hi. I have tried adding the line,(launcher.exe --ppapi-flash-path="C:\Windows\system32\Macromed\Flash\pepflashplayer321500183.dll" --ppapi-flash-version="15.0.0.183") to the target, but I get 'Invalid'. I have tried without the 'launcher.exe' and with and without the -- before ppapi. I have downloaded and installed the ppapi but it is not showing up in 'Developer Tools. plugins, only npapi shows. Where have I gone wrong??

  • Hi. I have tried adding the line,(launcher.exe --ppapi-flash-path="C:\Windows\system32\Macromed\Flash\pepflashplayer321500183.dll" --ppapi-flash-version="15.0.0.183") to the target, but I get 'Invalid'. I have tried without the 'launcher.exe' and with and without the -- before ppapi. I have downloaded and installed the ppapi but it is not showing up in 'Developer Tools. plugins, only npapi shows. Where have I gone wrong??

    Did you update to the latest version? Opera stable, beta and developer are detecting it. Don't forget to put the correct version in command line.

  • The versions I have, which have been downloaded over the past couple of days (many times) are NPAPI 15.0.0.223 and PPAPI 15.0.0.215. So obviously the command line I had copied from this topic was out of date. My question is then, which part of the command line do I copy to the 'target'? Which part of the link do I ignore, when I replace the version quoted in the link I tried, with 15.0.0.215?
    Thanks

  • @ronecc, first download the latest version (16.0.0.228), then try with pepflashplayer32-16-0-0-228.dll (with low dashes).

  • I mean latest versions of Opera because the problem was fixed.

  • I mean latest versions of Opera because the problem was fixed.

    IKR, but it looks like if (s)he's still having troubles with the PPAPI Flash (I'm assuming that (s)he's running the latest version of Opera)... ronecc, please tell us what's your Opera version.

  • Hi I have Opera 26.0. When I check the Flash Player section in Control Panel, it tells me I have NPAPI 15.0.0.223 & PPAPI 16.0.0228. Just tell me what I need to copy to the target box, ie what will come after "C:\Users\Vista User\Desktop\Downloads\install_flash_player (1).exe" The (1) is something to do with the download, because I keep having to download it. Hope that makes sense. By the way I am a 'HE', and a rather thick one at that!

  • Further to my last post. On looking at the Plug in section, it states 'PPAPI (out-of-process)' if that helps.

  • Am I even putting it in the correct box. Should it be the Opera shortcut or the Flash Player shortcut??

  • Further to my last post. On looking at the Plug in section, it states 'PPAPI (out-of-process)' if that helps.

    That is normal.

  • Opera 26 should detect the PPAPI plugin... Adobe is no longer offering the NPAPI version to Opera at http://get.adobe.com/flashplayer/. It says version 15.0.0.215 Beta, which is a PPAPI-based version.